Botan: Botan::Cert_Extension::Extended_Key_Usage Class Reference

Botan 1.10.12

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Botan::Cert_Extension::Extended_Key_Usage Class Reference

`#include <x509_ext.h>`

Inheritance diagram for Botan::Cert_Extension::Extended_Key_Usage:

## Public Member Functions
Extended_Key_Usage * | copy () const
| Extended_Key_Usage ()
| Extended_Key_Usage (const std::vector< OID > &o)
std::vector< OID > | get_oids () const
OID | oid_of () const

## Detailed Description

Extended Key Usage Extension

Definition at line 242 of file x509_ext.h.

## Constructor & Destructor Documentation

Botan::Cert_Extension::Extended_Key_Usage::Extended_Key_Usage | ( |  | ) |
| inline

Definition at line 247 of file x509_ext.h.

247 {}

Botan::Cert_Extension::Extended_Key_Usage::Extended_Key_Usage | ( | const std::vector< OID > & | o | ) |
| inline

Definition at line 248 of file x509_ext.h.

248 : oids(o) {}

## Member Function Documentation

Extended_Key_Usage* Botan::Cert_Extension::Extended_Key_Usage::copy | ( |  | ) | const
| inlinevirtual

Make a copy of this extension

Returns
  copy of this

Implements Botan::Certificate_Extension.

Definition at line 245 of file x509_ext.h.

245 { return new Extended_Key_Usage(oids); }
Botan::Cert_Extension::Extended_Key_Usage::Extended_Key_Usage
Extended_Key_Usage()
Definition: x509_ext.h:247

std::vector<OID> Botan::Cert_Extension::Extended_Key_Usage::get_oids | ( |  | ) | const
| inline

Definition at line 250 of file x509_ext.h.

250 { return oids; }

OID Botan::Certificate_Extension::oid_of | ( |  | ) | const
| inherited

Returns
  OID representing this extension

Definition at line 72 of file x509_ext.cpp.

References Botan::OIDS::lookup().

Referenced by Botan::Extensions::encode_into().

73 {
74 return OIDS::lookup(oid_name());
75 }
Botan::Certificate_Extension::oid_name
virtual std::string oid_name() const =0
Botan::OIDS::lookup
std::string lookup(const OID &oid)
Definition: oids.cpp:31

The documentation for this class was generated from the following files:

- src/cert/x509cert/x509_ext.h
- src/cert/x509cert/x509_ext.cpp